html , body
{
    position: absolute;
    height: 100%;
    max-height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
}

.page {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.header{
    margin:0;
}


.topnav {
    overflow: hidden;
    background-image:url("../src/ConfigurateurKlassallroad_assets_header.png");
    background-size: cover;
    display:flex;
    height:75px;
    
}

#topnav-logo{
    display:flex;
    width:200px;
    align-items:center;
    justify-content:center;
}

#topnav-logo a,img{
    width:100%;
    height:100%;
}

#topnav-links{
    width:100%;
    display:flex;
    align-items:center;
    justify-content:center;
}

.topnav a {
  display: block;
  color:#3C424F;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
  font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
  font-weight: bold;
  font-size: 12pt;
}

.topnav a:hover {
    color:#64676E;
 
}

/*.topnav a:hover {
  background-color: #ddd;
  color: black;
}*/

.active {
  background-color: #4CAF50;
  color: white;
}


.site-content {
    flex-grow: 1;
    display:flex;
    align-items:stretch;
}

.selection{
    box-shadow:inset 0px 5.5px 2.5px rgba(28, 14, 15, 0.24), inset 0px -5.5px 2.5px rgba(28, 14, 15, 0.24);
    flex-grow: 1;
    display:flex;
    background-repeat: no-repeat; 
    background-position: right top;
    background-size: cover;
    align-items:center;
    justify-content: center;
    flex-direction:column;
}


.selection-start{
    display:flex;
    align-items:flex-start;
    margin:30px;
    width:65%;
}

.selection-start img{
    width: 60px;
    height:60px;
    margin-left:15px;
}

.selection-start img:hover{
    /* mettre un gif en boucle*/
    content: url("../src/button-go.png");
}

.selection-text{
    width:65%;
}
.selection-text p
{
    color:white;
    text-align: left;
    margin:20px;
    font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
    font-weight: bold;
    font-size: 24pt;
}

.selection-start p{
    color:white;
    text-align: left;
    margin:20px;
    font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
    font-weight: regular;
    font-size: 17pt;
}

.footer{
    width: 100%;
    height: 150px;
    background-image: url("../src/ConfigurateurKlassallroad_assets_footer.png");
    display: flex;               /* establish flex container */
    align-items: center;         /* vertically center flex items */
    background-size: cover;
}


.footer-icons , .footer-links, .footer-icon, .footer-link{
    display: inline-block;
    vertical-align: top;
}

.footer-icon, .footer-link{
    margin-left:20px;
}

.footer-links{
    width: 66%;    
}

.footer-icons{
    width:33%;
    text-align:right;
}

.footer-icon{
    width:40px;
    height:40px;
}

.footer-icon img{
    width:100%;
    height: 100%;
}

.footer-link a{
    color: #999DA7;
    font-family: "MEIRYO UI", MS reference sans Serif, Verdana;
    font-weight: regular;
    font-size: 12pt;
    text-decoration: none;
}

/*@media screen and (max-width: 540px) {*/
@media screen and (max-width: 980px) {
    .site-content {
        flex-direction: column;
    }

    .footer-links{
        text-align: center;
        width:100%;
        margin:20px;
    }
    .footer-icons{
        width:100%;
        text-align: center;
    }


    .footer-link{
        margin:10px;
    }

    .footer-icon img{
        margin-left: -25px; /* to adjust centering with links*/
    }

    .footer{
        flex-direction: column;
    }

    #selection-1{
        box-shadow:inset 0px 5.5px 2.5px rgba(28, 14, 15, 0.24);
    }

    #selection-2{
        box-shadow:inset 0px -5.5px 2.5px rgba(28, 14, 15, 0.24);
    }
}